VOMS v.2.0.0

Release Notes

What's new:

  • Voms packaging has been changed to install into system directories. For example, this means that executables are in /usr/bin, /usr/sbin, configuration files in /etc/voms, etc...
  • A REST interface is available to obtain VOMS attribute certificates.
  • There are no longer dependencies on globus anywhere. However, on-the-wire compatibility with previous versions of VOMS is still maintained.
  • Compatibility with EPEL installation.
  • Installation/Configuration: https://twiki.cern.ch/twiki/bin/view/EMI/VOMSystemAdministratorGuide

Known Issues:

  • None at the moment.

Extended release notes

The following notes apply to this release of VOMS.

  1. All the globus_flavor versions of the APIs have disappeared. They are not present in the EPEL release, and there was no reason why they should appear here. Link to the plain library instead.
  2. The libvomsc.so library has disappeared. It was deprecated since 2006, and since 2006 libvomsapi offered both the C and C++ interfaces. Link to that instead. Indeed, libvomsc for four years has been nothing else than a renamed libvomsapi.
  3. Globus is no longer a dependency, neither at buildtime nor at runtime. Since the library only used OpenSSL, and the Globus we got from VDT uses the system OpenSSL anyway, there was no reason to continue depending on Globus. This has some consequences on the usage of libvomsapi in a threaded environment, see the section about thread in release notes of this patch (http://savannah.cern.ch/patch/?2717) for details
  4. Those same notes also mention that as a consequence, the RetrieveFromCtx() function/method is no longer available. It was not a widely used function anyway, and example code on how to obtain the same functionality may be easily obtained by writing one's own version.
  5. As a consequence of all the previous points, the new libraries are incompatible at the ABI level with the ones in EGEE, and consequently have had their version increased to one.
  6. Until the globus bug referred in savannah bug #81663 (https://savannah.cern.ch/bugs/?81633) is fixed, the --policy option of voms-proxy-init (and grid-proxy-init if you have it installed) MUST NOT be used.

List of RFCs

Documentation

Artefacts

meta-package
emi-voms-mysql-1.0.0-1.sl5.x86_64.rpm
emi-voms-oracle-1.0.0-1.sl5.x86_64.rpm
binary
voms-2.0.2-1.sl5.x86_64.rpm
voms-devel-2.0.0-1.sl5.x86_64.rpm
vomsjapi-2.0.0-1.sl5.noarch.rpm
voms-clients-2.0.0-1.sl5.x86_64.rpm
voms-mysql-3.1.5-1.sl5.x86_64.rpm
voms-oracle-3.1.12-1.sl5.x86_64.rpm
voms-server-2.0.0-1.sl5.x86_64.rpm
yaim-voms-1.0.10-1.sl5.x86_64.rpm
source
voms-2.0.2-1.sl5.src.rpm
voms-devel-2.0.0-1.sl5.src.rpm
vomsjapi-2.0.0-1.sl5.src.rpm
voms-clients-2.0.0-1.sl5.src.rpm
voms-mysql-3.1.5-1.sl5.src.rpm
voms-oracle-3.1.12-1.sl5.src.rpm
voms-server-2.0.0-1.sl5.src.rpm
yaim-voms-1.0.10-1.sl5.src.rpm

-- EmidioG - 05-May-2011

Edit | Attach | Watch | Print version | History: r1 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r1 - 2011-05-05 - EmidloGiorgioExCern
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback